openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/BDL_END_OF_ONE_SERVER:
    post:
      tags:
      - BDL3
      summary: Send committment for a service data block transmission
      operationId: /rfc/BDL_END_OF_ONE_SERVER
      requestBody:
        content:
          application/json:
            schema:
              properties:
                BLOCK_COUNT:
                  type: integer
                  format: int32
                  description: number of data transferred blocks
                CONTENT_COUNT:
                  type: integer
                  format: int64
                  description: number of transmitted functions
                INSTALL_NO:
                  type: integer
                  format: int64
                  description: installation number
                MANDANT:
                  type: string
                  maxLength: 3
                SESSNO:
                  type: string
                  maxLength: 10
                  description: session number to transmit data for
                SID:
                  type: string
                  maxLength: 8
                  description: system id
              required:
              - BLOCK_COUNT
              - CONTENT_COUNT
              - INSTALL_NO
              - MANDANT
              - SESSNO
              - SID
      responses:
        '200':
          description: OK
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
